Subject: Re: [PATCH] inet: Initialize per-netns inetpeer roots in net/ipv{4,6}/route.c

From: Fengguang Wu <wfg-VuQAYsv1563Yd54FQh9/[email-masked]>
Date: Sun, 10 Jun 2012 14:47:48 +0800

On Sat, Jun 09, 2012 at 10:04:21PM -0700, David Miller wrote:
> From: Fengguang Wu <wfg-VuQAYsv1563Yd54FQh9/[email-masked]>
> Date: Sun, 10 Jun 2012 12:49:34 +0800
> 
> > On Sun, Jun 10, 2012 at 12:43:39PM +0800, Fengguang Wu wrote:
> >> On Sat, Jun 09, 2012 at 09:21:47PM -0700, David Miller wrote:
> >> > From: Fengguang Wu <wfg-VuQAYsv1563Yd54FQh9/[email-masked]>
> >> > Date: Sun, 10 Jun 2012 11:16:34 +0800
> >> > 
> >> > > In long run, such build-fix patches can also be auto tested and
> >> > > reported, somehow in this way. You just create a temporary branch
> >> > 
> >> > Sorry, no.
> >> 
> >> That's fine. Then how about including some text "fix build errors" or
> >> "fix build warnings" or paste the original gcc error/warning messages,
> >> somewhere in the changelog or subject?
> >> 
> >> That will also allow me recognize that it's a build fix commit and to
> >> make it unconditionally report back any build results.
> > 
> > Or better, simply include a 
> > 
> >         Reported-by: Fengguang Wu <wfg-VuQAYsv1563Yd54FQh9/[email-masked]>
> 
> Now that on the other hand I should have done and was an oversight.

That's fine.

Please feel free to add that "Reported-by" to get verbose build report,
as well as to _NOT_ add the above line to avoid receiving reports when
the fix is obviously correct.

Ie. use the tag as a way to control my script.

> But all the other crap, is absolutely unreasonable of you to ask of me.

Yup.. Thanks for your time!

Regards,
Fengguang